{
  "type": "minecraft:chest",
  "pools": [
    {
      "rolls": {
        "min": 0,
        "max": 1
      },
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:diamond_pickaxe",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 30
            }
          ]
        }
      ]
    },
    {
      "rolls": {
        "min": 0,
        "max": 1
      },
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:flint_and_steel",
          "functions": [
            {
              "function": "minecraft:set_enchantments",
              "enchantments": {
                "minecraft:unbreaking": 10
              }
            }
          ]
        }
      ]
    },
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:diamond_hoe",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:lore": [
                  [
                    {
                      "translate": "enchantment.minecraft.sharpness",
                      "fallback": "Sharpness",
                      "color": "white",
                      "italic": false
                    }
                  ],
                  {
                    "text": "XV",
                    "color": "white",
                    "italic": false
                  }
                ],
                "minecraft:enchantments": {
                  "minecraft:sharpness": 15
                },
                "minecraft:tooltip_display": {
                  "hidden_components": [
                    "minecraft:enchantments"
                  ]
                }
              }
            }
          ],
          "conditions": [
            {
              "condition": "minecraft:random_chance",
              "chance": 0.5
            }
          ]
        }
      ]
    },
    {
      "rolls": {
        "min": 0,
        "max": 1
      },
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:bow",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 30
            }
          ],
          "conditions": [
            {
              "condition": "minecraft:random_chance",
              "chance": 0.8
            }
          ]
        }
      ]
    },
    {
      "rolls": {
        "min": 0,
        "max": 1
      },
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:book",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 30
            }
          ]
        }
      ]
    },
    {
      "rolls": {
        "min": 1,
        "max": 2
      },
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:arrow",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 32,
                "max": 100
              }
            }
          ]
        }
      ]
    },
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:experience_bottle",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 32,
                "max": 64
              }
            }
          ]
        }
      ]
    },
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:cooked_beef",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 8,
                "max": 32
              }
            }
          ]
        }
      ]
    },
    {
      "rolls": {
        "min": 0,
        "max": 2
      },
      "entries": [
        {
          "type": "minecraft:empty",
          "weight": 3
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "name": "minecraft:netherite_boots",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 15
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "name": "minecraft:netherite_leggings",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 15
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "name": "minecraft:netherite_chestplate",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 15
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 3,
          "name": "minecraft:netherite_helmet",
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 15
            }
          ]
        }
      ]
    },
    {
      "rolls": {
        "min": 0,
        "max": 1
      },
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:ender_pearl",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3
              }
            }
          ]
        }
      ]
    },
    {
      "rolls": {
        "min": 0,
        "max": 1
      },
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:golden_apple",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2,
                "max": 8
              }
            }
          ]
        }
      ]
    },
    {
      "rolls": {
        "min": 0,
        "max": 1
      },
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:smithing_table"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:netherite_ingot"
        }
      ]
    },
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:stone",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 32,
                "max": 64
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:oak_log",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 16,
                "max": 32
              }
            }
          ]
        }
      ]
    }
  ]
}
